- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Reschedule
- RescheduleType
- Try it!
Reschedules a planned maintenance event for a specific instance.
HTTP request
POST https://lustre.googleapis.com/v1/{name=projects/*/locations/*/instances/*}:rescheduleMaintenance
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Format: projects/{project}/locations/{location}/instances/{instance} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"reschedule": {
object ( |
| Fields | |
|---|---|
reschedule |
Required. The desired reschedule settings. |
requestId |
Optional. A unique identifier for this request. A random UUID is recommended. This request is only idempotent if a |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
lustre.instances.rescheduleMaintenance
For more information, see the IAM documentation.
Reschedule
The desired reschedule settings.
| JSON representation |
|---|
{
"rescheduleType": enum ( |
| Fields | |
|---|---|
rescheduleType |
Required. The type of rescheduling. |
scheduleTime |
Optional. Required if rescheduleType is BY_TIME. Timestamp when the maintenance shall be rescheduled to. This time must be within 28 days of the original scheduled maintenance start time. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
RescheduleType
The type of rescheduling event. More reschedule types may be added in the future.
| Enums | |
|---|---|
RESCHEDULE_TYPE_UNSPECIFIED |
Unspecified schedule type. |
IMMEDIATE |
Apply update immediately |
NEXT_AVAILABLE_WINDOW |
Reschedule to the next available window. |
BY_TIME |
Reschedule to a specific time. |